MAT_GETFILENAME(3)

NAME
Mat_GetFilename - Returns the filename of a MATLAB MAT file given a MAT file structure.

SYNOPSIS
#include <matio.h>
const char *
Mat_GetFilename(const mat_t *matfp);

DESCRIPTION
The Mat_GetFilename() function returns the filename of the MATLAB MAT file given by the MAT file structure.

RETURN VALUES
The function returns the read-only filename of the opened MATLAB MAT file.

SEE ALSO
Mat_CreateVer(3), Mat_Open(3), Mat_GetFileAccessMode(3), Mat_GetHeader(3), Mat_GetVersion(3)